Page MenuHomePhabricator

[AArch64][SVE] Add support for using reverse forms of SVE2 shifts
ClosedPublic

Authored by bsmith on May 26 2021, 7:20 AM.

Details

Summary

When using and ACLE intrinsic for an SVE2 shift, if the predicate passed
has all relevant lanes active, then use a reversed version of the
instruction if beneficial.

Diff Detail

Event Timeline

bsmith created this revision.May 26 2021, 7:20 AM
bsmith requested review of this revision.May 26 2021, 7:20 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 26 2021, 7:20 AM
Matt added a subscriber: Matt.May 26 2021, 12:08 PM
paulwalker-arm accepted this revision.Jun 3 2021, 2:40 AM
paulwalker-arm added inline comments.
llvm/lib/Target/AArch64/SVEInstrFormats.td
3197–3207

Minor request but if you don't mind can you move this to the bottom of the file near where the other related multiclasses and drop the 2 from the name. I ask because I can see this milticlass having other uses.

This revision is now accepted and ready to land.Jun 3 2021, 2:40 AM
bsmith closed this revision.Jun 4 2021, 4:59 AM
bsmith marked an inline comment as done.